vue中引入less、less-loader、vue-loader报错

胡萝北
  • 243

image.png

image.png
image.png

1、为啥报这个错呀?
2、怎么解决?

---------------------------2021-1-26----------------------
发现把lang="less"去掉,就不报错了。但是我的项目中有83个文件都是这么引入的。。
image.png

猜测是因为vue-loader从13升级到了15,解析.vue文件的配置哪里没配对。less、less-loader的版本我切换成各种低版本的也没啥用。

回复
阅读 1.2k
2 个回答
cpThree
  • 2
新手上路,请多包涵

应该是你 less 版本太高的问题

我哭了,原来是这里冲突了,注释掉就好了,浪费了一天呜呜呜
image.png

我是给vue升级到了2.6,webpack升级的到了4.15后出现的这种问题,不知道为什么会冲突。

宣传栏